GNU bug report logs - #42609
28.0.50; Issue with highlight in long files

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Ergus <spacibba@HIDDEN>; Keywords: fixed; Done: Juri Linkov <juri@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug marked as fixed in version 28.0.50, send any further explanations to 42609 <at> debbugs.gnu.org and Ergus <spacibba@HIDDEN> Request was from Juri Linkov <juri@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) fixed. Request was from Juri Linkov <juri@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 42609 <at> debbugs.gnu.org:


Received: (at 42609) by debbugs.gnu.org; 7 Aug 2020 00:52:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 06 20:52:59 2020
Received: from localhost ([127.0.0.1]:55175 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k3qd1-0000dp-Fk
	for submit <at> debbugs.gnu.org; Thu, 06 Aug 2020 20:52:59 -0400
Received: from relay12.mail.gandi.net ([217.70.178.232]:36351)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>)
 id 1k3qd0-0000dA-28; Thu, 06 Aug 2020 20:52:58 -0400
Received: from mail.gandi.net (m91-129-102-47.cust.tele2.ee [91.129.102.47])
 (Authenticated sender: juri@HIDDEN)
 by relay12.mail.gandi.net (Postfix) with ESMTPSA id 61050200004;
 Fri,  7 Aug 2020 00:52:49 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: 42609 <at> debbugs.gnu.org
Subject: Re: bug#42609: 28.0.50; Issue with highlight in long files
Organization: LINKOV.NET
References: <20200730004613.y3ubvmdwam3jh4pg.ref@ergus>
 <20200730004613.y3ubvmdwam3jh4pg@ergus>
 <87wo2kboec.fsf@HIDDEN> <87k0ycr6gx.fsf@HIDDEN>
Date: Fri, 07 Aug 2020 02:55:35 +0300
In-Reply-To: <87k0ycr6gx.fsf@HIDDEN> (Juri Linkov's message of "Thu, 
 06 Aug 2020 02:43:50 +0300")
Message-ID: <87wo2b8h3c.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 42609
Cc: spacibba@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

tags 42609 fixed
close 42609 28.0.50
quit

> So a better idea is to notify the user with a warning when hi-lock
> highlights less occurrences than there are in the buffer:

Pushed to master and closed.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42609; Package emacs. Full text available.

Message received at 42609 <at> debbugs.gnu.org:


Received: (at 42609) by debbugs.gnu.org; 6 Aug 2020 00:15:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 05 20:15:20 2020
Received: from localhost ([127.0.0.1]:52440 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k3TZ2-0007D6-4A
	for submit <at> debbugs.gnu.org; Wed, 05 Aug 2020 20:15:20 -0400
Received: from relay8-d.mail.gandi.net ([217.70.183.201]:45119)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1k3TZ0-0007Cb-FA
 for 42609 <at> debbugs.gnu.org; Wed, 05 Aug 2020 20:15:19 -0400
X-Originating-IP: 91.129.102.47
Received: from mail.gandi.net (m91-129-102-47.cust.tele2.ee [91.129.102.47])
 (Authenticated sender: juri@HIDDEN)
 by relay8-d.mail.gandi.net (Postfix) with ESMTPSA id 165AE1BF203;
 Thu,  6 Aug 2020 00:15:10 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: 42609 <at> debbugs.gnu.org
Subject: Re: bug#42609: 28.0.50; Issue with highlight in long files
Organization: LINKOV.NET
References: <20200730004613.y3ubvmdwam3jh4pg.ref@ergus>
 <20200730004613.y3ubvmdwam3jh4pg@ergus>
 <87wo2kboec.fsf@HIDDEN>
Date: Thu, 06 Aug 2020 02:43:50 +0300
In-Reply-To: <87wo2kboec.fsf@HIDDEN> (Juri Linkov's message of "Fri, 
 31 Jul 2020 01:59:07 +0300")
Message-ID: <87k0ycr6gx.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 42609
Cc: spacibba@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

>> If in line 3407 I do:
>>
>> M-s h r 0x20141e140
>> Only the first 6 occurrences are highlighted
>>
>> Else if I do instead
>> M-g g 73188
>> M-s h r 0x20141e140
>>
>> then only the occurences in lines [73184 -> 91916] are highlighted
>>
>> I don't attach the log because it is too big for an email.
>
> Please try to increase the value of hi-lock-highlight-range.
> Recently it was changed from 200_000 to 2_000_000 in bug#40224.
> Do you think it should be increased more?

My first thought was to add a new option 'nil' "No limit" to
hi-lock-highlight-range.  But actually it's easy to just set it
to a big value.  And this still doesn't solve the problem
when hi-lock gives an impression that it highlights everything.

So a better idea is to notify the user with a warning when hi-lock
highlights less occurrences than there are in the buffer:

diff --git a/lisp/hi-lock.el b/lisp/hi-lock.el
index a18310322a..33ca40f8de 100644
--- a/lisp/hi-lock.el
+++ b/lisp/hi-lock.el
@@ -812,7 +812,9 @@ hi-lock-set-pattern
               (setq hi-lock-interactive-patterns
                     (cdr hi-lock-interactive-patterns)
                     hi-lock-interactive-lighters
-                    (cdr hi-lock-interactive-lighters)))))))))
+                    (cdr hi-lock-interactive-lighters))))
+          (when (or (> search-start (point-min)) (< search-end (point-max)))
+            (message "Hi-lock added only in range %d-%d" search-start search-end)))))))
 
 (defun hi-lock-set-file-patterns (patterns)
   "Replace file patterns list with PATTERNS and refontify."




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42609; Package emacs. Full text available.

Message received at 42609 <at> debbugs.gnu.org:


Received: (at 42609) by debbugs.gnu.org; 30 Jul 2020 23:14:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 30 19:14:15 2020
Received: from localhost ([127.0.0.1]:36902 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k1Hkd-00066K-LG
	for submit <at> debbugs.gnu.org; Thu, 30 Jul 2020 19:14:15 -0400
Received: from relay8-d.mail.gandi.net ([217.70.183.201]:35683)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1k1Hkb-000666-Rw
 for 42609 <at> debbugs.gnu.org; Thu, 30 Jul 2020 19:14:14 -0400
X-Originating-IP: 91.129.108.250
Received: from mail.gandi.net (m91-129-108-250.cust.tele2.ee [91.129.108.250])
 (Authenticated sender: juri@HIDDEN)
 by relay8-d.mail.gandi.net (Postfix) with ESMTPSA id 752DD1BF208;
 Thu, 30 Jul 2020 23:14:06 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Ergus via "Bug reports for GNU Emacs, the Swiss army knife of text
 editors" <bug-gnu-emacs@HIDDEN>
Subject: Re: bug#42609: 28.0.50; Issue with highlight in long files
Organization: LINKOV.NET
References: <20200730004613.y3ubvmdwam3jh4pg.ref@ergus>
 <20200730004613.y3ubvmdwam3jh4pg@ergus>
Date: Fri, 31 Jul 2020 01:59:07 +0300
In-Reply-To: <20200730004613.y3ubvmdwam3jh4pg@ergus> (Ergus via's message of
 "Thu, 30 Jul 2020 02:46:13 +0200")
Message-ID: <87wo2kboec.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 42609
Cc: 42609 <at> debbugs.gnu.org, Ergus <spacibba@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> If in line 3407 I do:
>
> M-s h r 0x20141e140
> Only the first 6 occurrences are highlighted
>
> Else if I do instead
> M-g g 73188
> M-s h r 0x20141e140
>
> then only the occurences in lines [73184 -> 91916] are highlighted
>
> I don't attach the log because it is too big for an email.

Please try to increase the value of hi-lock-highlight-range.
Recently it was changed from 200_000 to 2_000_000 in bug#40224.
Do you think it should be increased more?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42609; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 30 Jul 2020 23:14:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 30 19:14:19 2020
Received: from localhost ([127.0.0.1]:36904 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k1Hkg-00066b-SY
	for submit <at> debbugs.gnu.org; Thu, 30 Jul 2020 19:14:19 -0400
Received: from lists.gnu.org ([209.51.188.17]:51814)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1k1Hkd-00066J-5G
 for submit <at> debbugs.gnu.org; Thu, 30 Jul 2020 19:14:16 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:52820)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <juri@HIDDEN>) id 1k1Hkd-0001GJ-0y
 for bug-gnu-emacs@HIDDEN; Thu, 30 Jul 2020 19:14:15 -0400
Received: from relay8-d.mail.gandi.net ([217.70.183.201]:35259)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <juri@HIDDEN>) id 1k1Hka-0008N8-4U
 for bug-gnu-emacs@HIDDEN; Thu, 30 Jul 2020 19:14:14 -0400
X-Originating-IP: 91.129.108.250
Received: from mail.gandi.net (m91-129-108-250.cust.tele2.ee [91.129.108.250])
 (Authenticated sender: juri@HIDDEN)
 by relay8-d.mail.gandi.net (Postfix) with ESMTPSA id 752DD1BF208;
 Thu, 30 Jul 2020 23:14:06 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Ergus via "Bug reports for GNU Emacs, the Swiss army knife of text
 editors" <bug-gnu-emacs@HIDDEN>
Subject: Re: bug#42609: 28.0.50; Issue with highlight in long files
Organization: LINKOV.NET
References: <20200730004613.y3ubvmdwam3jh4pg.ref@ergus>
 <20200730004613.y3ubvmdwam3jh4pg@ergus>
Date: Fri, 31 Jul 2020 01:59:07 +0300
In-Reply-To: <20200730004613.y3ubvmdwam3jh4pg@ergus> (Ergus via's message of
 "Thu, 30 Jul 2020 02:46:13 +0200")
Message-ID: <87wo2kboec.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
Received-SPF: pass client-ip=217.70.183.201; envelope-from=juri@HIDDEN;
 helo=relay8-d.mail.gandi.net
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/07/30 19:14:07
X-ACL-Warn: Detected OS   = Linux 3.11 and newer
X-Spam_score_int: -35
X-Spam_score: -3.6
X-Spam_bar: ---
X-Spam_report: (-3.6 / 5.0 requ) BAYES_00=-1.9, RCVD_IN_DNSWL_LOW=-0.7,
 RCVD_IN_MSPIKE_H2=-1, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.6 (-)
X-Debbugs-Envelope-To: submit
Cc: 42609 <at> debbugs.gnu.org, Ergus <spacibba@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.6 (--)

> If in line 3407 I do:
>
> M-s h r 0x20141e140
> Only the first 6 occurrences are highlighted
>
> Else if I do instead
> M-g g 73188
> M-s h r 0x20141e140
>
> then only the occurences in lines [73184 -> 91916] are highlighted
>
> I don't attach the log because it is too big for an email.

Please try to increase the value of hi-lock-highlight-range.
Recently it was changed from 200_000 to 2_000_000 in bug#40224.
Do you think it should be increased more?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42609; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 30 Jul 2020 00:46:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 29 20:46:27 2020
Received: from localhost ([127.0.0.1]:34045 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k0wiJ-0004jd-98
	for submit <at> debbugs.gnu.org; Wed, 29 Jul 2020 20:46:27 -0400
Received: from lists.gnu.org ([209.51.188.17]:59814)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <spacibba@HIDDEN>) id 1k0wiH-0004jU-ND
 for submit <at> debbugs.gnu.org; Wed, 29 Jul 2020 20:46:26 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:55788)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <spacibba@HIDDEN>) id 1k0wiG-0007Eg-Vy
 for bug-gnu-emacs@HIDDEN; Wed, 29 Jul 2020 20:46:25 -0400
Received: from sonic306-22.consmr.mail.ne1.yahoo.com ([66.163.189.84]:45712)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <spacibba@HIDDEN>) id 1k0wiE-0004fz-27
 for bug-gnu-emacs@HIDDEN; Wed, 29 Jul 2020 20:46:24 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=aol.com; s=a2048;
 t=1596069979; bh=J7PJn4FcEaHIFxAJWK01PC4YnfIOnJXT8dE0/Z9kaPY=;
 h=Date:From:To:Subject:References:From:Subject;
 b=qjtI9jR5j261dkHHpGaus9ZplR+SenYMRVDWPHvjBnwD8Q3JyvtfpkEeh59WGbioICn8hkC2dvWPTDtPmnQ1EQNrSU/r/P4cQ4dKMeS5TT5UCVeI67QmJzMwdaXvB8Vo9/+oHHtX2mGmvVP4cLRa/xVkJySDQxhffxkc3RhsAxjcnhBGCZAtHIapBiwU1Pn6xrvCV2nhO5jAfjrtA9Y9vGJcWr0bz3oA9FpF/vg+cud0+hgR8bj5S3x/7BiOjPVZ0p7prpS+Lgm+4I7BpnBkYTBH0kPQ2mkwo921XC5O+SIhJ8BQp9h0mnGFnEbCfYPICI8juEQcxzC8IVRjJ+LrmA==
X-YMail-OSG: zCod4GEVM1mzbtLP2IwQSaUaeba05tYy2MAQ4z3xEcXqWoHB5YV.5HQdNc1YlH0
 xUhzRXZPk98TkqDWxCYO8aVmGS1uLXswB594uHro_o9Uj841RUrXWGslp0ChZAJUOvo.GLAi88h9
 pLh9V_.wz8ycFTzG3fBKP8.DmI3hyfNdFQOAQqTFKMvZ5.aBBx1UuM0DKoIOZRSZ4Q1uvxzdG1yJ
 rDvRnHSBQ.ZrQBNEAeYtnEmSTI101HNsuLxelwCc1pvjhP1Q5rEUDlLbiAlxtFOUNBBInUetSsgc
 8Up5eBcFOmB0WcRHOtVDl9BuIsZkwQD3A9aaTPQxX5fBftt1kkanfa7RfysWfSXk6rVAVdRoYh66
 XVywczms.Bofj_jUzCY7wmBxk.UMCe9fMmPqlPjc5T1T2A5x5G_0SkvbnrlXoE3XCExsgoTUVz5A
 Dbf1xholGE1AQ8vI3C.iffyBiFHFB4dA2ExykiIoaBn6dSmE3gpjQAXH0he11gIbqyP7tfeaEkAU
 ofS4obkgTNwnItiv6GJhkdAKZQEwYz5frC7HzAuoKz_wzZCfjh4NooWkNg_IlbvHfo_4CxVsSRHm
 3OImZPGB15VfzXYEhKmxZ0kNvtz62ROkJdvqFEJ79PKdQjTdzQSbh6yVTS19KsdtdgIakYdvyov9
 ysJulUKCiJgXcuzpzT0tsw9k9KeBznax1MXYDZsPa0YFr0UaVc90ZcyVcYGaPv.A9RCYapAEitW3
 gvP728Ln9.YKC7m4jqFfxkYhpgqTqWeofTJqqco1DPxQZChI78a9y2MbTN4B..RaZU2Zjeb_rMoo
 jPpItuxghh3zrXeFyIR5o43TmawXLEvG8KyNbr7m6No_J7evBwUDz7O20UHkddoZJCh3FJEIRyQ.
 m2IQrmKNELKXBUgPlBB.pry.uls1lx5wp5o9fVzU3L9c2Y8RstR3Jit0_TZ5vn9U.ChpAv56WZR3
 Q5rl29AK8ivWZ7EeZKde9WMCdpCGiJKLxZP0bWnt7RX6a.LpEWhEMTJBcxKjuWmG9O0Gg9ciSSbF
 Wi7DWB1BkSMHfFkmPJvxzVVj.HQbK5jCEnxD_dQupnvU3kEgwTijqkiCjCKhgvG4hjZ5qIXQnobQ
 EZoFyqkmi.vdqpzWmM8GnYXw1EQDEw4JIRpXvf27l_cJ5.TSzvBvbuT7VHjq.38GlwfBs9t88R7E
 Al0U3TfZPef49bwCWv35W_lbieya_E8Kb1Q8ngxL8q0on8zUc46p0aobFyeUkhgbZ6d0HJ_Y842Z
 Yo40yd2Tr5PTaRPG8VhhnTG6wnUuiStDUEJp7fLyfJrnrtpnuc3NSyrPy7Mj0Iu_ukXcJHZzUQLA
 ka0xUV.SxdsT.dl32DMY0THMiz6B.x0ehouRMi5pqaRybKqm_4KMHv6.l70I9Jbm_bqpiVIqEQfC
 IswfVFJ7U
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic306.consmr.mail.ne1.yahoo.com with HTTP; Thu, 30 Jul 2020 00:46:19 +0000
Received: by smtp423.mail.ir2.yahoo.com (VZM Hermes SMTP Server) with ESMTPA
 ID 9adc99f949f12a5535ff5b599466060d; 
 Thu, 30 Jul 2020 00:46:14 +0000 (UTC)
Date: Thu, 30 Jul 2020 02:46:13 +0200
From: Ergus <spacibba@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 28.0.50; Issue with highlight in long files
Message-ID: <20200730004613.y3ubvmdwam3jh4pg@ergus>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii; format=flowed
Content-Disposition: inline
User-Agent: NeoMutt/20180716
References: <20200730004613.y3ubvmdwam3jh4pg.ref@ergus>
X-Mailer: WebService/1.1.16271 hermes_aol Apache-HttpAsyncClient/4.1.4
 (Java/11.0.7)
Content-Length: 5404
Received-SPF: pass client-ip=66.163.189.84; envelope-from=spacibba@HIDDEN;
 helo=sonic306-22.consmr.mail.ne1.yahoo.com
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/07/29 20:46:19
X-ACL-Warn: Detected OS   = Linux 3.11 and newer [fuzzy]
X-Spam_score_int: -30
X-Spam_score: -3.1
X-Spam_bar: ---
X-Spam_report: (-3.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, RCVD_IN_MSPIKE_H2=-1, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

--text follows this line--

I am working with a big logfile (98315 lines ~ 11Mb) and when I try to add a
highlight (with emacs -Q) I find that only the occurrences close to the
current line are highlighted.

Trying with occur I get all the occurrences:
M-s o 0x20141e140

   3407:Node 0: myfunc2 (start = 199 -> 0x20141e140) (tnndim = 3000) (igp = 99)
   5263:197096.966759756 Node:0 Thread:0 newFragment:200 newRegion:0x20141e140:21624000 triggererTask:99
   5281:197096.966830230 Node:0 Thread:0 Task:100 output start:0x20141e140 bytes:24000
   5283:197096.966837758 Node:0 Thread:0 201 output 0x20141e140:24000 unsatisfied originator:100
   5285:197096.966846344 Node:0 Thread:0 200 newRegion:0x20141e140:24000 triggererTask:100
   5289:197096.966869955 Node:0 Thread:0 200 ->  Access from Task:100 [0x20141e140:24000] direct triggererTask:100
  51348:197097.104913014 Node:0 Thread:0 Task:1100 input start:0x20141e140 bytes:24000
  51349:197097.104918978 Node:0 Thread:0 2101 input 0x20141e140:24000 unsatisfied originator:1100
  51350:197097.104928211 Node:0 Thread:0 201 ->  Access from Task:1100 [0x20141e140:24000] direct triggererTask:1100
  51359:197097.104961096 Node:0 Thread:0 MessageTaskNew. Current location of 0x20141e140:24000 Node:1
  73184:Node 1: checkfunc2 (start = 199 -> 0x20141e140) (tnndim = 3000) (igp = 99)
  73188:Node 1: FAIL tpu_k[0](0x20141e140)=0.000000 != 199 (tnndim = 3000) (igp = 99)
  80179:197097.262551242 Node:0 Thread:0 3101 local 0x20141e140:24000 unsatisfied originator:0
  80180:197097.262559036 Node:0 Thread:0 Taskwait from Task:0 [0x20141e140:24000] direct triggererTask:0
  91910:197097.305742900 Node:0 Thread:0 4039 newFragment:4040 newRegion:0x20141e140:21624000 triggererTask:0
  91916:197097.305788738 Node:0 Thread:0 4040 newFragment:4041 newRegion:0x20141e140:24000 triggererTask:0

This are actually all the occurences as expected (16 in total) and
they are sparced (first number is the line number).

But:

If in line 3407 I do:

M-s h r 0x20141e140
Only the first 6 occurrences are highlighted

Else if I do instead
M-g g 73188
M-s h r 0x20141e140

then only the occurences in lines [73184 -> 91916] are highlighted

I don't attach the log because it is too big for an email.



In GNU Emacs 28.0.50 (build 3, x86_64-pc-linux-gnu, X toolkit, cairo version 1.16.0, Xaw scroll bars)
 of 2020-07-29 built on ergus
Repository revision: 28bf56b8718fc545ed94e3fdb09a3cfa446ca61e
Repository branch: master
System Description: Debian GNU/Linux 10 (buster)

Recent messages:
File verbose is large (10 MiB), really open? (y)es or (n)o or (l)iterally y
verbose has auto save data; consider M-x recover-this-file
Auto-saving...done
previous-line: Beginning of buffer [24 times]
Mark saved where search started
Mark set
Quit
Auto-saving...
Mark saved where search started [4 times]
Making completion list...

Configured using:
 'configure --prefix=/home/ergus/.local/ --with-mailutils'

Configured features:
XPM JPEG TIFF GIF PNG CAIRO SOUND DBUS GSETTINGS GLIB NOTIFY INOTIFY
LIBSELINUX GNUTLS LIBXML2 FREETYPE HARFBUZZ ZLIB TOOLKIT_SCROLL_BARS
LUCID X11 XDBE XIM MODULES THREADS JSON PDUMPER

Important settings:
  value of $LANG: en_GB.UTF-8
  value of $XMODIFIERS: @im=ibus
  locale-coding-system: utf-8-unix

Major mode: Fundamental

Minor modes in effect:
  hi-lock-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message rmc puny dired dired-loaddefs
rfc822 mml easymenu mml-sec password-cache epa derived epg epg-config
gnus-util rmail rmail-loaddefs text-property-search time-date subr-x seq
mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils
mailheader cl-loaddefs cl-lib sendmail rfc2047 rfc2045 ietf-drums
mm-util mail-prsvr mail-utils thingatpt hi-lock misearch multi-isearch
term/tmux term/xterm xterm byte-opt gv bytecomp byte-compile cconv
tooltip eldoc electric uniquify ediff-hook vc-hooks lisp-float-type
mwheel term/x-win x-win term/common-win x-dnd tool-bar dnd fontset image
regexp-opt fringe tabulated-list replace newcomment text-mode elisp-mode
lisp-mode prog-mode register page tab-bar menu-bar rfn-eshadow isearch
timer select scroll-bar mouse jit-lock font-lock syntax facemenu
font-core term/tty-colors frame minibuffer cl-generic cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese eucjp-ms cp51932 hebrew greek romanian slovak czech european
ethiopic indian cyrillic chinese composite charscript charprop
case-table epa-hook jka-cmpr-hook help simple abbrev obarray
cl-preloaded nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote threads dbusbind
inotify dynamic-setting system-font-setting font-render-setting cairo
x-toolkit x multi-tty make-network-process emacs)

Memory information:
((conses 16 50728 7449)
 (symbols 48 6216 1)
 (strings 32 16171 1344)
 (string-bytes 1 520196)
 (vectors 16 7539)
 (vector-slots 8 79677 5876)
 (floats 8 25 477)
 (intervals 56 194 0)
 (buffers 992 12))




Acknowledgement sent to Ergus <spacibba@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#42609; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 7 Aug 2020 01:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.